# encoding: utf-8

require 'spec_helper'

describe Settings::Config do
  context '#create' do
    it 'raises an NoBlockGiven exception when method was called without &block' do
      expect { Settings::Config.create }.to raise_error Settings::Config::NoBlockGiven
    end
  end # context '#create'

  context 'after #create' do
    before :each do
      @subject = described_class.create do
        merge_storage Settings::ENV.load(param1: 'sample')
      end
    end

    context '#method_missing' do
      it 'redirect message call to storage when it needed' do
        expect(@subject.param1).to_not be_nil
      end
    end # context "#method_missing"

    context '#respond_to?' do
      it 'redirect response_to? message call to storage when it needed' do
        expect(@subject.send(:respond_to?, :param1)).to be_truthy
      end
    end # context 'respond_to?'
  end # context 'after #create'

end # describe Settings::Config
