# encoding: utf-8

require 'spec_helper'

describe Settings::ENV do
  let (:valid_hsh_sample) { {string: 'some_string', param: true } }
  let (:not_hsh_sample)   { Time.new }

  context '#load' do
    it 'raises an HashNotValid exception for object that not is a hash' do
      expect { described_class.load(not_hsh_sample) }
        .to raise_error Settings::ENV::HashNotValid
    end

    it 'saves valid hash into .data field' do
      obj = described_class.load valid_hsh_sample
      expect(obj.data.length).to be > 0
    end
  end # context '#load'
end # describe Settings::ENV
