# encoding: utf-8

require 'spec_helper'

describe Settings::Yaml do
  let(:valid_file_path) { File.join RSpec::Core::RubyProject.root, 'configs', 'first.yml' }

  context 'load' do
    it 'loads a hash from file' do
      provider = described_class.load(valid_file_path)
      expect(provider.data.length).to be > 0
    end

    it 'raises FileNotFound exception when file not found' do
      expect { described_class.load('file_that_can_not_exist') }
        .to raise_error Settings::Yaml::FileNotFound
    end
  end # context 'load' do

end # describe Settings::Yaml